

from pyraf.describe import describe, describeParams


def test():

    def foo(a, b=1, *c, **d):
        e = a + b + c
        f = None

    bar = lambda a: 0  # noqa

    # from Duncan Booth
    def baz(a, xxx_todo_changeme = ('foo','bar'), xxx_todo_changeme1 = (None, None, None), g = None):
        (b, c) = xxx_todo_changeme
        (d, e, f) = xxx_todo_changeme1
        pass

    print(("describeParams(foo)", describeParams(foo)))
    print(("describeParams(bar)", describeParams(bar)))
    print(("describeParams(baz)", describeParams(baz)))

    print((describe(foo)))
    print((describe(bar)))
    print((describe(baz)))
